Support » Plugins and Hacks » Facebook » [Resolved] Warning

[Resolved] Warning

  • This is what I got at admin page after updating to 1.1.1:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘Facebook_Application_Settings::enqueue_scripts’ was given in /homepages/27/d420340579/htdocs/wp-includes/plugin.php on line 403


Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Niall Kennedy


    which version of PHP are you running?

    Exactly same situation. 🙁

    Same here. Running PHP version 5.2.17. Can give you more info about my PHP config if it helps.

    1.1.1 is broken for me. Social Publisher no longer displayed on Create Post screen.

    Plugin Author Niall Kennedy


    I released a new version of the plugin to better support PHP 5.2 callbacks. Can you please update the plugin on your site to see if it fixes your observed issue(s)?

    1.1.2 is still broken. The previous settings (which posts/pages to display on) disappeared, and when I tried to re-enable them the following error occurs:

    Warning: Wrong parameter count for array_unique() in /httpdocs/wordpress/wp-content/plugins/facebook/admin/settings-social-plugin.php on line 171

    Niall, 1.1.2 fixed my issue (expected callback). Thank you for your swift response to the issue!

    Plugin Author Niall Kennedy


    I pushed a new version of the plugin, 1.1.3, without the second array_unique parameter.

    Version 1.1.3 fixed the problem.

    Thanks a lot for your time and effort. I really appreciate it.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Resolved] Warning’ is closed to new replies.
Skip to toolbar